#!/bin/bash

rm -f sequence_output.txt plantuml_sequence_diagram.txt plantuml_sequence_diagram.png

ruby main.rb 2> sequence_output.txt

if [ ! -e sequence_output.txt ];then
  echo "Something went wrong when executing the ruby application."
  exit 1
fi

./sequenceDiagramConverter.sh sequence_output.txt > plantuml_sequence_diagram.txt

if [ ! -e plantuml_sequence_diagram.txt ];then
  echo "Something went wrong when converting the output to the plantuml file."
  exit 2
fi

if [ ! -e plantuml.jar ];then
  echo "Downloading plantuml."
  wget http://cznic.dl.sourceforge.net/project/plantuml/plantuml.jar
fi

java -jar plantuml.jar plantuml_sequence_diagram.txt

if [ ! -e plantuml_sequence_diagram.png ];then
  echo "Plantuml did not work."
  exit 3
fi

echo "The image: plantuml_sequence_diagram.png was generated successfully."
